View Issue Details

IDProjectCategoryView StatusLast Update
14756Bug reports[All Projects] Survey designpublic2019-06-13 17:11
ReporterDenisChenu Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version4.0.0dev 
Target VersionFixed in Version4.0.0-beta 
Summary14756: Double encoding for question attribute labels
Description

See screenshot

Steps To Reproduce

Edit a single choice or import lss in english

Additional Information

gT encode : must disable encoding of gT here ?

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0 github
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionnot relevant
Server OS (if known)not relevant ?
Webserver software & version (if known)not relevant ?
PHP Versionnot relevant ?

Activities

DenisChenu

DenisChenu

2019-04-08 18:39

developer  

limesurvey_survey_encodeAttributes.lss (19,320 bytes)
dominikvitt

dominikvitt

2019-06-13 17:11

developer   ~52406

This issue is fixed.
The patch is available now on GitHub and would be available on next LimeSurvey release.

https://github.com/LimeSurvey/LimeSurvey/commit/7bcac4813ad59e884b44a4a000a97b1d1c44281b

Issue History

Date Modified Username Field Change
2019-04-08 18:39 DenisChenu New Issue
2019-04-08 18:39 DenisChenu File Added: Capture d’écran du 2019-04-08 18-37-32.png
2019-04-08 18:39 DenisChenu File Added: limesurvey_survey_encodeAttributes.lss
2019-04-23 12:06 p_teichmann Assigned To => p_teichmann
2019-04-23 12:06 p_teichmann Status new => assigned
2019-04-23 16:54 p_teichmann Assigned To p_teichmann =>
2019-04-23 17:04 DenisChenu Status assigned => new
2019-06-13 17:11 dominikvitt Assigned To => dominikvitt
2019-06-13 17:11 dominikvitt Status new => resolved
2019-06-13 17:11 dominikvitt Resolution open => fixed
2019-06-13 17:11 dominikvitt Fixed in Version => 4.0.0-beta
2019-06-13 17:11 dominikvitt Note Added: 52406